Bug 232867 - plasmoidviewer string difficult/impossible to properly translate
Summary: plasmoidviewer string difficult/impossible to properly translate
Status: RESOLVED FIXED
Alias: None
Product: plasma4
Classification: Unclassified
Component: general (show other bugs)
Version: unspecified
Platform: Mandriva RPMs Unspecified
: NOR normal (vote)
Target Milestone: ---
Assignee: Plasma Bugs List
URL:
Keywords: junior-jobs
Depends on:
Blocks:
 
Reported: 2010-03-31 17:54 UTC by Karl Ove Hufthammer
Modified: 2012-08-16 18:44 UTC (History)
4 users (show)

See Also:
Latest Commit:
Version Fixed In:


Attachments

Note You need to log in before you can comment on or make changes to this bug.
Description Karl Ove Hufthammer 2010-03-31 17:54:35 UTC
Version:            (using KDE 4.4.1)
Installed from:    Mandriva RPMs

The file «main.cpp» in plasmoidviewer contains the string ‘The size in KB to set the pixmap cache to’. This is not possible to properly translate, as we don’t know whether ‘KB’ means ‘kB’, i.e., 1000 bytes, or ‘KiB’, i.e., 1024 bytes:

http://lxr.kde.org/source/KDE/kdebase/workspace/plasma/generic/shells/plasmoidviewer/main.cpp#138

It should be changed to either ‘kB’ or ‘KiB’, depending on the intended meaning, or, if the actual unit can be chosen by the user, to a variable ‘%1’ which would automatically be displayed as either ‘kB’ or ‘KiB’, depending on the user’s settings.
Comment 1 Dario Andres 2010-04-11 15:22:03 UTC
The code then sets:

 QPixmapCache::setCacheLimit(args->getOption("pixmapcache").toInt());

and according to the Qt documentation:

void QPixmapCache::setCacheLimit ( int n )   [static]
Sets the cache limit to n kilobytes.

so it should be "kB" ?
Comment 2 Beat Wolf 2010-05-11 12:28:58 UTC
This should really be easy to fix, i don't have a working svn check out for the moment
Comment 3 Burkhard Lück 2011-08-12 12:30:16 UTC
Git commit 93f68322946a871b091df5c21dd8f5fb9dc059c8 by Burkhard Lück.
Committed on 12/08/2011 at 14:26.
Pushed by lueck into branch 'master'.

fix spelling of unit to make clear this is Kilobyte

BUG:232867

M  +1    -1    plasma/generic/tools/plasmoidviewer/main.cpp

http://commits.kde.org/kde-workspace/93f68322946a871b091df5c21dd8f5fb9dc059c8
Comment 4 Burkhard Lück 2012-08-16 18:44:50 UTC
Git commit 1b50484bf1654362cd98511358c870a2a4e6e986 by Burkhard Lück.
Committed on 12/08/2011 at 14:26.
Pushed by tsiapaliwkas into branch 'terietor/tools'.

fix spelling of unit to make clear this is Kilobyte

M  +1    -1    plasmoidviewer/main.cpp

http://commits.kde.org/plasmate/1b50484bf1654362cd98511358c870a2a4e6e986